Package org.eclipse.birt.chart.model.attribute.impl

# Class Location3DImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.LocationImpl
org.eclipse.birt.chart.model.attribute.impl.Location3DImpl

All Implemented Interfaces:
  `Location`, `Location3D`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class Location3DImpl extends LocationImpl implements Location3D
An implementation of the model object 'Location3 D'.

The following features are implemented:

- `Z`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`Location3D`
`copyInstance()`
A convenient method to get an instance copy.
`static final Location3D[]`
`create(double[] xa, double[] ya, double[] za)`
`static Location3D`
`create(double x, double y, double z)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`static double[]`
`getXArray(Location3D[] loc)`
`static double[]`
`getYArray(Location3D[] loc)`
`double`
`getZ()`
`static double[]`
`getZArray(Location3D[] loc)`
`boolean`
`isSetZ()`
`void`
`linkToVector(Vector vector)`
Used to link a Location3D to a Vector for live update of the coordinates.
`void`
`scale(double dScale)`
Causes the internal (x,y) values to be scaled by a relative (dScale) value
`void`
`set(double dX, double dY, double dZ)`
A convenience method for defining member variables NOTE: Manually created
`void`
`setZ(double newZ)`
`String`
`toString()`
`void`
`translate(double dTranslateX, double dTranslateY, double dTranslateZ)`
Causes the internal (x,y,z) values to be translated by a relative value of (dTranslateX, dTranslateY, dTranslateZ)
`void`
`unsetZ()`

### Methods inherited from class org.eclipse.birt.chart.model.attribute.impl.LocationImpl

`create, create, equals, getX, getXArray, getY, getYArray, hashCode, isSetX, isSetY, set, setX, setY, translate, unsetX, unsetY`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Location

`getX, getY, isSetX, isSetY, set, setX, setY, translate, unsetX, unsetY`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### create

public static Location3D create(double x, double y, double z)

Parameters:
  `x` -
  `y` -
  `z` -
Returns:
  location 3d instance with setting 'isSet' flag.

### copyInstance

public Location3D copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Location`
Specified by:
  `copyInstance` in interface `Location3D`
Overrides:
  `copyInstance` in class `LocationImpl`

### create

public static final Location3D[] create(double[] xa, double[] ya, double[] za)

Parameters:
  `xa` -
  `ya` -
  `za` -
Returns:
  location 3d instance with setting 'isSet' flag.

### getXArray

public static double[] getXArray(Location3D[] loc)

Parameters:
  `loc` -
Returns:
  x locations.

### getYArray

public static double[] getYArray(Location3D[] loc)

Parameters:
  `loc` -
Returns:
  y locations.

### getZArray

public static double[] getZArray(Location3D[] loc)

Parameters:
  `loc` -
Returns:
  z locations.

### getZ

public double getZ()

Specified by:
  `getZ` in interface `Location3D`
Returns:
  the value of the 'Z' attribute.
See Also:
  - `Location3D.isSetZ()`
  - `Location3D.unsetZ()`
  - `Location3D.setZ(double)`
  - `AttributePackage.getLocation3D_Z()`

### setZ

public void setZ(double newZ)

Specified by:
  `setZ` in interface `Location3D`
Parameters:
  `newZ` - the new value of the 'Z' attribute.
See Also:
  - `Location3D.isSetZ()`
  - `Location3D.unsetZ()`
  - `Location3D.getZ()`

### unsetZ

public void unsetZ()

Specified by:
  `unsetZ` in interface `Location3D`
See Also:
  - `Location3D.isSetZ()`
  - `Location3D.getZ()`
  - `Location3D.setZ(double)`

### isSetZ

public boolean isSetZ()

Specified by:
  `isSetZ` in interface `Location3D`
Returns:
  whether the value of the 'Z' attribute is set.
See Also:
  - `Location3D.unsetZ()`
  - `Location3D.getZ()`
  - `Location3D.setZ(double)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `LocationImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `LocationImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `LocationImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `LocationImpl`

### toString

public String toString()

Overrides:
  `toString` in class `LocationImpl`

### translate

public void translate(double dTranslateX, double dTranslateY, double dTranslateZ)
Description copied from interface: `Location3D`
Causes the internal (x,y,z) values to be translated by a relative value of (dTranslateX, dTranslateY, dTranslateZ)

Specified by:
  `translate` in interface `Location3D`

### scale

public void scale(double dScale)
Description copied from interface: `Location`
Causes the internal (x,y) values to be scaled by a relative (dScale) value

Specified by:
  `scale` in interface `Location`
Specified by:
  `scale` in interface `Location3D`
Overrides:
  `scale` in class `LocationImpl`

### set

public void set(double dX, double dY, double dZ)
Description copied from interface: `Location3D`
A convenience method for defining member variables NOTE: Manually created

Specified by:
  `set` in interface `Location3D`

### linkToVector

public void linkToVector(Vector vector)
Description copied from interface: `Location3D`
Used to link a Location3D to a Vector for live update of the coordinates.

Specified by:
  `linkToVector` in interface `Location3D`